const Mysql = require("./src/mysql-base");
const Sqlite3 = require("./src/sqlite3-base");

module.exports = function (dbType, config, tableName, showSqlStr) {
  if (
    dbType == "mysql" &&
    typeof config == "object" &&
    config.host &&
    config.user &&
    config.password &&
    config.port &&
    config.database
  ) {
    return new Mysql(config, tableName, showSqlStr);
  } else {
    return new Sqlite3(config, tableName, showSqlStr);
  }
};

// config demo

// {
//   "connectionLimit": 10,
//   "host": "substats_mysql",
//   "user": "root",
//   "password": "kZtRazdBsxy3d2zs",
//   "port": 3306,
//   "database": "substats-w3f"
// }
